## org.metaabm.ide
Class MetaABMEditorActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.part.MultiPageEditorActionBarContributor
              org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
                  org.metaabm.ide.MetaABMEditorActionBarContributor

All Implemented Interfaces:
  org.eclipse.jface.action.IMenuListener, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.ui.IEditorActionBarContributor, org.eclipse.ui.IPropertyListener

    public class MetaABMEditorActionBarContributor

extends org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
implements org.eclipse.jface.viewers.ISelectionChangedListener

This is the action bar contributor for the MetaABM model editor.

Author:
  Miles Parker *

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`ADDITIONS_LAST_STYLE`

Constructor Summary
`MetaABMEditorActionBarContributor()` This creates an instance of the contributor.

Method Summary
`void` `contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)` This adds to the menu bar a menu and some separators for editor additions, as well as the sub-menus for object creation items.
`void` `contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)` This adds Separators for editor additions to the tool bar.
`org.eclipse.jface.action.IMenuManager` `getSubmenuManager()`
`void` `menuAboutToShow(org.eclipse.jface.action.IMenuManager menuManager)` This populates the pop-up menu before it appears.
`void` `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)` This implements `ISelectionChangedListener`, handling `SelectionChangedEvent`s by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.
`void` `setActiveEditor(org.eclipse.ui.IEditorPart part)` When the active editor changes, this remembers the change and registers with it as a selection provider.

Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activate, contributeToStatusLine, deactivate, getActiveEditor, init, propertyChanged, setActivePage, setActiveView, shareGlobalActions, update`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, dispose, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaABMEditorActionBarContributor

    public MetaABMEditorActionBarContributor()

  This creates an instance of the contributor.

Method Detail

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)

  This adds Separators for editor additions to the tool bar.

  Overrides:
    `contributeToToolBar` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)

  This adds to the menu bar a menu and some separators for editor additions, as well as the sub-menus for object creation items.

  Overrides:
    `contributeToMenu` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### setActiveEditor

    public void setActiveEditor(org.eclipse.ui.IEditorPart part)

  When the active editor changes, this remembers the change and registers with it as a selection provider.

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

  This implements `ISelectionChangedListener`, handling `SelectionChangedEvent`s by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.

  Specified by:
    `selectionChanged` in interface `org.eclipse.jface.viewers.ISelectionChangedListener`

### menuAboutToShow

    public void menuAboutToShow(org.eclipse.jface.action.IMenuManager menuManager)

  This populates the pop-up menu before it appears.

  Specified by:
    `menuAboutToShow` in interface `org.eclipse.jface.action.IMenuListener`
  Overrides:
    `menuAboutToShow` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`

### getSubmenuManager

    public org.eclipse.jface.action.IMenuManager getSubmenuManager()